Class Specialization
UngappedShape
A fixed length ungapped shape (also called q-gram or k-mer).

Shape

UngappedShape

Shape<TValue, UngappedShape<q> >
Include Headers
seqan/index.h
Parameters

TValue | The Value type of the sequence the shape is applied to (e.g. Dna).
q | The length of the shape.

Specialization of
Shape
Metafunctions

Host | Type of the object a given object depends on. (Shape)
LENGTH | Number of elements in a fixed-size container. (Shape)
Size | Type of an object that is suitable to hold size information. (Shape)
Value | Type of the items in the container. (Shape)
ValueSize | Number of different values a value type object can have. (Shape)
WEIGHT | Number of relevant positions in a shape. (Shape)
WEIGHT | Number of relevant positions in a shape. (Shape)

Member Functions

Shape | Constructor (Shape)

Functions

countOccurrences | Returns the number of occurences of representative substring or a q-gram in the index text. (Shape)
countOccurrencesMultiple | Returns the number of occurences of a q-gram for every sequence of a StringSet . (Shape)
createCountArray | Builds an index on a StringSet storing how often a q-gram occurs in each sequence. (Shape)
createQGramIndex | Builds a q-gram index on a sequence. (Shape)
createQGramIndexDirOnly | Builds the directory of a q-gram index on a sequence. (Shape)
createQGramIndexSAOnly | Builds the suffix array of a q-gram index on a sequence. (Shape)
getOccurrence | Returns an occurence of the representative substring or a q-gram in the index text. (Shape)
getOccurrences | Returns all occurences of the representative substring or a q-gram in the index text. (Shape)
hash | Computes a (lower) hash value for a shape applied to a sequence. (Shape)
hash2 | Computes an unique hash value of a shape applied to a sequence, even if the sequence is shorter than the shape span (Shape)
hash2Next | Computes a unique hash value for the adjacent shape, even if it is shorter than q. (Shape)
hash2Upper | Computes an upper unique hash value of a shape applied to a sequence, even if the sequence is shorter than the shape span. (Shape)
hashNext | Computes the hash value for the adjacent shape. (Shape)
hashUpper | Computes an upper hash value for a shape applied to a sequence. (Shape)
indexShape | Shortcut for getFibre(.., QGramShape). (Shape)
length | The number of items/characters. (Shape)
length | The number of items/characters. (Shape)
range | Returns the suffix array interval borders of occurences of representative substring or a q-gram in the index text. (Shape)
shapeToString | Converts a given shape into a sequence of '1' (relevant position) and '0' (irrelevant position). (Shape)
value | Reference to the value. (Shape)
weight | Number of relevant positions in a shape. (Shape)

See Also
SimpleShape
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52